=== debian/changelog ===
smartlist (3.15-28) unstable; urgency=medium

  * Fix build with gcc-15. Closes: #1097900.
  * Drop procmail patches not required for smartlist.
  * Stop parsing /etc/passwd directly in preinst and use getent instead.
  * Add Vcs-Git and Vcs-Browser fields. Closes: #953589.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 16 Aug 2025 11:40:00 +0200

smartlist (3.15-27) unstable; urgency=medium

  * Fix build with gcc-14. Closes: #1075517.
  * Do not trim Debian changelog.
  * Update lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Tue, 30 Jul 2024 11:45:00 +0200

smartlist (3.15-26) unstable; urgency=medium

  * Switch to dh. Using compat level 11 for now, as that's the last
    one which supports setting conffiles manually.
  * Add a bunch of lintian overrides. It would be nice to have everything
    in a more standard place, but moving things around at this point might
    horribly break existing setups.
  * Rules-Requires-Root: binary-targets.

 -- Santiago Vila <sanvila@debian.org>  Tue, 24 Jan 2023 14:20:00 +0100

smartlist (3.15-25) unstable; urgency=medium

  * debian/fakeroot-workaround: Move to debian/rules.
  * debian/rules: Drop obsolete comments and set permissions in a more
    straightforward way. Hopefully the package is reproducible now.
  * debian/rules: Add recommended targets build-arch and build-indep.
  * debian/rules: Use dpkg-buildflags.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2015 16:33:14 +0200

smartlist (3.15-24) unstable; urgency=low

  * Use gzip -n to stop recording current time. Closes: #777445.
  * Fix mtimes before building binary package as well.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 16:45:16 +0200

smartlist (3.15-23) unstable; urgency=medium

  * Switch to 3.0 (quilt) source format. The source for this package
    was the sum of upstream procmail 3.15 and smartlist 3.15 tarballs.
    To make things simpler, this package used to contain all the patches
    that were also applied to the procmail package, even if not needed.
    To differentiate easily between them I'm using "procmail-" and
    "smartlist-" as prefix in debian/patches.
  * Remove "rc.init" and "reject" at /var/list/.etc on purge, so that
    no traces are left. Discovered by piuparts. Closes: #670263.
  * Changed rc.request to allow larger messages to be sent to the -request
    address. Raised threshold for "sane" size from 4096 to 16384 bytes.
    Reported by Thomas Preud'homme. Closes: #700216.
  * Removed way obsolete Recommends on base-passwd.
  * Removed way obsolete Conflicts on suidmanager.
  * Fixed lintian overrides syntax.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 May 2014 21:37:36 +0200

smartlist (3.15-22) unstable; urgency=low

  * Fixed several scripts to deal with domain names starting with numbers.
    Thanks to Cord Beermann. Closes: #580703.

 -- Santiago Vila <sanvila@debian.org>  Tue, 24 Aug 2010 01:34:14 +0200

smartlist (3.15-21) unstable; urgency=low

  * Changes in preinst:
  - Removed obsolete code which removes buggy postrm when upgrading from
    a release older than 3.10-12 (nearly 13 years ago).
  - Removed obsolete warning about hardlinks in .etc when upgrading
    from a release older than 3.10.7-2 (more than 10 years ago).
  - Trust that base-passwd does its job and do not ask the user to press
    Enter if user list does not exist, it has wrong uid or gid, or it has
    a wrong home directory. Exit code is still 1 if such thing ever happens.
  - Removed backwards compatibility code which creates a backup of rc.init
    when upgrading from a release older than 3.10-13 (nearly 13 years ago).
  * Changes in postinst:
  - Removed obsolete code which creates rc.init from backup copy.
  - Removed obsolete code which updates rc.init when upgrading from a
    release older than 3.15-2 (8 years ago).
  - Removed obsolete code which creates symlinks for confirm-error.txt
    and rc.rfc822 for lists created before 3.15-6 (7 years ago).
  - Added code which adds listid variable to already existing rc.init.
  * Changes in postrm:
  - On purge, remove aliases from /etc/aliases unconditionally.
    A backup copy is created in either case.
  - On purge, do not remove /var/list, as it may contain user data.
  * The above changes remove all user interaction. Closes: #553295, #566678.
  * Fixed mail-transport-agent dependency. Closes: #495838.
  * Added List-Id header in rc.init and rc.submit.
  * Modified digest script to add List-* headers to digests as well.
    Patch by Cord Beermann. Thanks a lot. Closes: #457415.
  * Added lintian overrides for files that may not be moved to /etc easily.

 -- Santiago Vila <sanvila@debian.org>  Mon, 25 Jan 2010 12:32:36 +0100

smartlist (3.15-20) unstable; urgency=high

  * Make autoconf.h without cflags, then make everything else as usual,
    as we did in procmail. Fixes FTBFS problem on s390.

 -- Santiago Vila <sanvila@debian.org>  Thu, 18 Jan 2007 19:24:12 +0100

smartlist (3.15-19) unstable; urgency=medium

  * Updated README.exim for exim4. Renamed to README.exim4. Closes: #375554.
  * Updated QuickStart so that it refers to README.exim4.
  * Do not chown var/list/.procmailrc in debian/fakeroot-workaround, as it
    is a symlink and we don't want to change the owner of the pointed file.

 -- Santiago Vila <sanvila@debian.org>  Thu,  4 Jan 2007 15:39:06 +0100

smartlist (3.15-18) unstable; urgency=medium

  * Upgraded to confirm-1.3.5. This should fix a subtle bug in which
    email addresses starting with `_' were not handled properly.
    For reference, this is CAN-2005-0157.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Feb 2005 18:42:46 +0100

smartlist (3.15-17) unstable; urgency=low

  * While we are at it, modified postinst so that an empty reject file
    is created in the first install if it does not exist, instead of
    waiting for the first invocation of `createlist'.


