=== debian/control ===
Source: smartlist
Section: mail
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Build-Depends: debhelper-compat (= 11)
Vcs-Git: https://salsa.debian.org/sanvila/smartlist.git
Vcs-Browser: https://salsa.debian.org/sanvila/smartlist
Rules-Requires-Root: binary-targets
Standards-Version: 3.8.3

Package: smartlist
Architecture: any
Depends: default-mta | mail-transport-agent,
         procmail,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Versatile and Intelligent List Processor
 SmartList is a mailing list manager built on top of the procmail
 mail processing package. Some features:
  * Enough intelligence to overcome the ignorance of some subscribers
    (will direct subscribe and unsubscribe requests away from the regular
    list and automatically onto the -request address).
  * No hardwired format for (un)subscribe requests (i.e. new subscribers
    need not be educated, unsubscribing users do not need to remember any
    particular syntax).
  * Intelligent automatic removal of addresses from the list that cause too
    many bounces.
  * Duplicate submissions are eliminated automatically.
  * You can set up a mailing list to function as a standalone mail archive
    server.
