=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Userid of the list user/group
smart = 38

CC = gcc
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -std=gnu17
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
SEARCHLIBS = -lm

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS0="" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" autoconf.h
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" setid

override_dh_auto_clean:
	$(MAKE) realclean SEARCHLIBS=""
	dh_auto_clean

override_dh_auto_install:
	install -d -o ${smart} -g ${smart} -m 700 debian/tmp/var/list
	CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" LDFLAGS0="$(LDFLAGS)" \
		SmartList/install.sh `pwd`/debian/tmp/var/list /var/list
	rm -f debian/tmp/var/list/.procmailrc
	rm -f debian/tmp/var/list/.etc/rc.init

override_dh_install:
	dh_install -XManual

override_dh_installchangelogs:
	dh_installchangelogs --no-trim -XHISTORY

override_dh_installexamples:
	dh_installexamples -Xarchive.txt -Xhelp.txt -Xmimencap.local -Xsubscribe.txt -Xunsubscribe.txt

override_dh_compress:
	dh_compress -Xputfile

override_dh_fixperms:
	dh_fixperms
	cd debian/smartlist && chown -R list:list var/list
	cd debian/smartlist/var/list/.bin && rm -f choplist flist idhash senddigest
	cd debian/smartlist && chown root:list    var/list/.bin/multigram
	cd debian/smartlist && chmod 4755         var/list/.bin/multigram
	cd debian/smartlist/var/list/.bin && ln multigram choplist
	cd debian/smartlist/var/list/.bin && ln multigram flist
	cd debian/smartlist/var/list/.bin && ln multigram idhash
	cd debian/smartlist/var/list/.bin && ln multigram senddigest
	cd debian/smartlist && chmod g+s          var/list/.bin var/list/.etc
	cd debian/smartlist && chmod 440          var/list/.etc/rc.init.dist
	cd debian/smartlist && chmod 640          var/list/.etc/rc.custom

override_dh_missing:

override_dh_md5sums:
